Subject: Re: bug#24213: 25.1.50; Fishy use of delete-window in register.el

From: Andreas Politz <[email-masked]>
Date: Sat, 13 Aug 2016 08:43:59 +0200

Leo Liu <[email-masked]> writes:

> The window is created by `display-buffer-below-selected' so we know its
> ours [...]

No, the window is created by display-buffer, which is not obligated to
use it's action argument, e.g. if the buffer triggers a match in
display-buffer-alist.  

Maybe the documentation of delte-window should be amended, stating that
it is almost always preferable to use quit-window instead; unless the
window was created by using primitives like split-window.

Thanks,
Andreas